Packages - Bug #927

[package-query] .so version mismatch. This affects yaourt operations!
2016-02-06 02:10 AM - korobkov

Status: fixed % Done: 100%
Priority: bug

Assignee: ovruni

Category:

Description

package-query mismatches libalpm.so version:
Idd “which package-query”

linux-vdso.so.l (0x000003££94de2000)

libcurl.so.4 => /usr/lib/libcurl.so.4 (0x000003c91915a000)

libyajl.so.2 => /usr/lib/libyajl.so.2 (0x000003c918£50000)

libalpm.so.9 => not found

libc.so.6 => /usr/lib/libc.so.6 (0x000003c918bac000)

libidn.so.11 => /usr/lib/libidn.so.11 (0x000003c918978000)

libssh2.s0.1 => /usr/lib/libssh2.so0.1l (0x000003c91874c000)
libssl.s0.1.0.0 => /usr/lib/libssl.so0.1.0.0 (0x000003c9184d1000)
libcrypto.so.1.0.0 => /usr/lib/libcrypto.so.1.0.0 (0x000003c918059000)
libgssapi_krb5.s0.2 => /usr/lib/libgssapi_krb5.s0.2 (0x000003c917e0c000)
libkrb5.s80.3 => /usr/lib/libkrb5.s0.3 (0x000003c917b27000)
libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x000003c9178£6000)
libcom_err.so.2 => /usr/lib/libcom_err.so.2 (0x000003c9176£2000)
libz.so.1l => /usr/lib/libz.so.1l (0x000003c9174dc000)

libpthread.so.0 => /usr/lib/libpthread.so.0 (0x000003c9172bf000)
/1ib64/1d-1inux-x86-64.s0.2 (0x000003c9193ce000)

libdl.so.2 => /usr/lib/libdl.so.2 (0x000003c9170bb000)
libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x000003c916eae000)
libkeyutils.so.l => /usr/lib/libkeyutils.so.l (0x000003c916caa000)
libresolv.so.2 => /usr/lib/libresolv.so.2 (0x000003c916a93000)

yaourt -Qo “which package-query’

/usr/bin/package-query npuHagnexut package-query 1.7-2
Existing versions:
pacman /usr/lib/libalpm.so

pacman /usr/lib/libalpm.so.10
pacman /usr/lib/libalpm.so.10.0.0

History

#1 - 2016-02-06 02:14 AM - korobkov

- Subject changed from [package-query] .so version mismatch. This affect yaourt operations! to [package-query] .so version mismatch. This affects
yaourt operations!

#2 - 2016-02-08 08:38 AM - ovruni
- % Done changed from 0 to 100

- Assignee set to ovruni

- Status changed from open to fixed

- Due date set to 2016-02-08
